#
# spec file for package python-flake8-import-order
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-flake8-import-order
Version:        0.18.2
Release:        1.10
Summary:        Flake8 plugin that checks the ordering of import statements
License:        LGPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/public/flake8-import-order
Source:         https://files.pythonhosted.org/packages/source/f/flake8-import-order/flake8-import-order-%{version}.tar.gz
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module pylama}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8
Requires:       python-pycodestyle
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python2-enum34
%endif
%ifpython2
Requires:       python2-enum34
%endif
%python_subpackages

%description
Flake8 and pylama plugin that checks the ordering of import statements.

%prep
%setup -q -n flake8-import-order-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license COPYING
%doc README.rst CHANGELOG.rst
%{python_sitelib}/flake8_import_order/
%{python_sitelib}/flake8_import_order-%{version}-py*.egg-info

%changelog
* Tue Dec  6 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.18.2
  * Add zoneinfo to list of standard library modules
  * Fix registering of options with Flake8 >= 6.0
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Tue Mar 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.18.1:
  * Fix case-sensitive related I100 errors for the pycharm style
  * Fix noqa regexp
- Run fdupes
- Enable tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jul 12 2018 arun@gmx.de
- update to version 0.18:
  * Add new Python 3.7 modules to the stdlib list, and support 3.7.
* Sun May  6 2018 arun@gmx.de
- update to version 0.17.1:
  * Rebuild of 0.17 with the latest setuptools to fix an enum34
    dependency bug.
* Sun Apr 15 2018 afaerber@suse.de
- Run spec-cleaner to fix URL (for factory-auto)
* Sat Mar 10 2018 afaerber@suse.de
- Add runtime Requires for enum34 and pycodestyle
* Sun Mar  4 2018 afaerber@suse.de
- Drop SLE11 support (scarabeus_iv)
- Update to 0.17
  * Package README and license
  * Require enum34 for Python 2.x and pycodestyle
* Sun Mar  4 2018 afaerber@suse.de
- Convert to singlespec
* Thu Jul 10 2014 toddrme2178@gmail.com
- Update to 0.4.1
  - No upstream changelog
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
